Bug 858144 - Lost threaddump help doc in man rhc
Lost threaddump help doc in man rhc
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: chris alfonso
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 02:59 EDT by Rony Gong
Modified: 2016-01-31 21:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-09-18 02:59:54 EDT
Description of problem:
since "rhc -h" could show 
 threaddump         Trigger a thread dump for JBossAS, JBossEAP, and Ruby applications.

"man rhc" should show threaddump help doc too.


Version-Release number of selected component (if applicable):
devenv_2188

How reproducible:
always


Steps to Reproduce:
1.ssh instance by root
2.man rhc
  
Actual results:
       domain Manage a domain in rhcloud for a registered rhcloud user

       app    Create and manage an OpenShift application

       sshkey Manage multiple keys for the registered rhcloud user

       port-forward
              Forward remote ports to the workstation

       setup  Run the setup wizard to configure your account

       server Display information about the status of the service

       -h|--help|help
              Display help menu

Expected results:
should add threaddump help doc like:
 threaddump         Trigger a thread dump for JBossAS, JBossEAP, and Ruby applications.


Additional info:
This is to test US2815
Comment 1 Rony Gong 2012-09-21 06:03:39 EDT
Also lost help like:
man rhc-threaddump

[qgong@localhost qphp]$ man rhc-threaddump
No manual entry for rhc-threaddump
Comment 2 Rony Gong 2012-09-21 06:16:14 EDT
(In reply to comment #1)
> Also lost help like:
> man rhc-threaddump
> 
> [qgong@localhost qphp]$ man rhc-threaddump
> No manual entry for rhc-threaddump

Sorry, please ingore this comment.
Comment 3 chris alfonso 2012-09-28 11:34:06 EDT
This fix is in my master branch https://github.com/calfonso/rhc  it's also in https://github.com/openshift/rhc/commits/master already.
Comment 4 Rony Gong 2012-09-28 22:47:52 EDT
Verified on fork_ami_US2597_US259...US2817_US2872_186
man rhc
NAME
       rhc - Command line tool for performing operations related to your rhcloud account

SYNOPSIS
       rhc (<resource> | --help) [<command>] [<args>]

DESCRIPTION
       rhc Command line tool for performing operations related to your rhcloud account.

LIST OF RESOURCES
       domain Manage a domain in rhcloud for a registered rhcloud user

       app    Create and manage an OpenShift application

       sshkey Manage multiple keys for the registered rhcloud user

       port-forward
              Forward remote ports to the workstation

       setup  Run the setup wizard to configure your account

       server Display information about the status of the service

       threaddump
              Trigger a thread dump for JBossAS, JBossEAP, and Ruby

       -h|--help|help
              Display help menu

Note You need to log in before you can comment on or make changes to this bug.